package com.dne.ems.repository;

import com.dne.ems.model.MapGrid;
import java.util.List;
import java.util.Optional;

public interface MapGridRepository {

    MapGrid save(MapGrid mapGrid);

    List<MapGrid> saveAll(Iterable<MapGrid> mapGrids);

    Optional<MapGrid> findById(Long id);

    List<MapGrid> findAll();

    long count();

    void deleteById(Long id);

    void deleteAll();

    Optional<MapGrid> findByXAndY(int x, int y);

    List<MapGrid> findAllByOrderByYAscXAsc();
} 